@extends('modal_pages.base')
<style>
    .listFlag{
        height: 20px;
        border-radius: 50%;
        width: 20px;
        margin-right: 5px;
    }
    .btn1{
    background-color: #141639c4 !important;
    color:white !important;
    border-radius: 20px;
    box-shadow:none !important;
    }
    .btn1:hover{
        background: #ffff !important;
        color: #141639c4 !important;
        border-radius: 20px;
        border: 1px solid #141639c4;
    }
</style>
@section('main')

    <div class="container" style="background-color: white; border-radius: 6px;">
        <div class="row">
            <div class="co-md-12 p-3">
                <form class="modal-form" action="{{ url()->current() }}" method="POST" enctype="multipart/form-data">
                {{ csrf_field() }}
                    <div class="row">
                        <div class="col-md-12"> 
                            <div class="pretty p-default p-curve">
                                <input class="feedback" type="radio" name="feedback" />
                                <div class="state p-success-o">
                                    <label>Success</label>
                                </div>
                            </div>
                            <div class="pretty p-default p-curve">
                                <input class="feedback" type="radio" name="feedback" />
                                <div class="state p-success-o">
                                    <label>Success</label>
                                </div>
                            </div>
                            <div class="pretty p-default p-curve">
                                <input class="feedback feedback_msg" type="radio" name="feedback" value="others"/>
                                <div class="state p-success-o">
                                    <label>Others</label>
                                </div>
                            </div> 
                        </div> 
                        <div class="col-md-12" id="feedback_msg"> 
                            <label class="form-label">Feedback</label>
                            <div class="form-icon position-relative">
                                <input type="hidden" name="p_status" id="p_status" value="">
                                <textarea class="form-control" name="message" id="message" required=""></textarea>
                            </div> 
                        </div> 
                        <div class="col-md-12">
                            <div class="mt-2 text-center">
                                <button type="submit" class="btn btn1" style="padding: 3px 18px;">
                                    {{ __('Submit') }}
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

   <script>
    $(function(){
        $('#modal_page_footer').hide(); 

        var feedback=[ 
            'others',
        ];

        feedback.forEach(function(row){
            $('#'+row).hide();
        });

        $('.feedback_msg').on('click', function(){

            feedback.forEach(function(row){
                $('#'+row).hide();
            });

            var feedback_msg=$(this).val();
            $('#'+feedback_msg).show();

        });
    }); 
    </script>  
@endsection
